<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) 
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$hooks = array(
	'integrate_admin_areas' => 'cb_admin_area',
	'integrate_modify_modifications' => 'cb_modify_modification',
	'integrate_admin_include' => '$sourcedir/Admin-CustomBlocks.php',
	'integrate_theme_include' => '$themedir/CustomBlocks.template.php',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

?>